package Sah::SchemaR::physical::type;

our $DATE = '2020-04-04'; # DATE
our $VERSION = '0.002'; # VERSION

our $rschema = ["str",[{description=>"\nAll types recognized by <pm:Physics::Unit> are valid.\n\n",examples=>[{valid=>0,value=>""},{valid=>1,value=>"Mass"},{valid=>0,value=>"Love"}],in=>["Acceleration","Area","Capacitance","Charge","Conductance","Current","Data","Dimensionless","Distance","Dose","Electric_potential","Energy","Force","Frequency","Inductance","Luminosity","Magnetic_field","Magnetic_flux","Mass","Momentum","Money","Power","Pressure","Resistance","Speed","Substance","Temperature","Time","Torque","Volume"],summary=>"A physical type (e.g. Mass, Distance)"}],["str"]];

1;
# ABSTRACT: A physical type (e.g. Mass, Distance)

__END__

=pod

=encoding UTF-8

=head1 NAME

Sah::SchemaR::physical::type - A physical type (e.g. Mass, Distance)

=head1 VERSION

This document describes version 0.002 of Sah::SchemaR::physical::type (from Perl distribution Sah-Schemas-PhysicalQuantity), released on 2020-04-04.

=head1 DESCRIPTION

This module is automatically generated by Dist::Zilla::Plugin::Sah::Schemas during distribution build.

A Sah::SchemaR::* module is useful if a client wants to quickly lookup the base type of a schema without having to do any extra resolving. With Sah::Schema::*, one might need to do several lookups if a schema is based on another schema, and so on. Compare for example L<Sah::Schema::poseven> vs L<Sah::SchemaR::poseven>, where in Sah::SchemaR::poseven one can immediately get that the base type is C<int>. Currently L<Perinci::Sub::Complete> uses Sah::SchemaR::* instead of Sah::Schema::* for reduced startup overhead when doing tab completion.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Sah-Schemas-PhysicalQuantity>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Sah-Schemas-PhysicalQuantity>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=Sah-Schemas-PhysicalQuantity>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2020 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
